package depart;

import ca.ntro.app.NtroAppFx;
import ca.ntro.app.backend.BackendRegistrar;
import ca.ntro.app.frontend.FrontendRegistrarFx;
import ca.ntro.app.messages.MessageRegistrar;
import ca.ntro.app.models.ModelRegistrar;
import depart.frontal.FrontalDepart;
import depart.dorsal.DorsalDepart;
import depart.commun.DeclarationsDepart;

public class AppDepart implements NtroAppFx {
	
	public static void main(String[] args) {
		NtroAppFx.launch(args);
	}

	@Override
	public void registerModels(ModelRegistrar registrar) {

		DeclarationsDepart.declarerModeles(registrar);
	}


	@Override
	public void registerMessages(MessageRegistrar registrar) {

		DeclarationsDepart.declarerMessages(registrar);
	}


	@Override
	public void registerFrontend(FrontendRegistrarFx registrar) {

		registrar.registerFrontend(FrontalDepart.class);
	}

	@Override
	public void registerBackend(BackendRegistrar registrar) {

		registrar.registerBackend(DorsalDepart.class);
	}

}
